The Rick and Morty API (via a Zuplo Gateway)
numberstringstringstringstring · required
stringstring · requiredinteger · requiredstring · requiredstring · requiredstring · requiredstring[] · requiredstring · requiredstring · required
Get all locations
GET
https://rickandmorty.zuplo.io
/v1/locations
You can access the list of locations by using the /locations endpoint.
query Parameters
pagePagination index
namefilter by the given name
typefilter by the type
dimensionfilter by the dimension
Headers
AuthorizationThe Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.
Get all locations › Responses
200
200 OK
object · required
Example: {"count":126,"pages":7,"next":null,"prev":null}
Default: {}
object[] · required
Example: {"0":{"id":1,"name":"Earth","type":"Planet","dimension":"Dimension C-137","residents":["https://rickandmorty.zuplo.io/v1/characters/1","https://rickandmorty.zuplo.io/v1/characters/2"],"url":"https://rickandmorty.zuplo.io/v1/locations/1","created":"2017-11-10T12:42:04.162Z"}}
Default: []
Get locations by ID(s)
GET
https://rickandmorty.zuplo.io
/v1/locations/:locationId
You can get a single location by ID, or multiple by adding an array of ids as parameter: /locations/[1,2,3] or /locations/1,2,3
path Parameters
locationIdA single numeric ID or multiple IDs, e.g. [1,2,3] or 1,2
Headers
AuthorizationThe Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.
Get locations by ID(s) › Responses
200
200 OK
idExample: 3
Default: 0
nameExample: Citadel of Ricks
Default:
typeExample: Space station
Default:
dimensionExample: unknown
Default:
residentsExample: {"0":"https://rickandmorty.zuplo.io/v1/characters/8","1":"https://rickandmorty.zuplo.io/v1/characters/14"}
Default: []
urlExample: https://rickandmorty.zuplo.io/locations/3
Default:
createdExample: 2017-11-10T13:08:13.191Z
Default:
